[SM-Grimoire-Bugs] [Bug 15673] kdebindings4 dies with the current version of attica in test

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sun May 23 21:46:25 EDT 2010


http://bugs.sourcemage.org/show_bug.cgi?id=15673





--- Comment #7 from Tommy Boatman <tboatman at sourcemage.org>  2010-05-23 20:46:20 ---
I'm seeing this too...it seems that every upgrade of any library breaks
something, be it bindings or runtime.

I've fixed it on my local dev system by disabling attica in kdebase4-runtime
with a quick hack that completely disables attica.  It builds successfully and
appears to function properly (without Open Collaboration Services of course).  

This is the BUILD file used to do so - 

---
sedit
"s:macro_optional_add_subdirectory(attica):#macro_optional_add_subdirectory(
attica):" $SOURCE_DIRECTORY/CMakeLists.txt &&
default_build
---

A more elegant solution is to set attica as an optional dependency (indeed it
actually is optional) and use the sedit if the dependency is disabled...cmake
will still find it on the system if it is installed, but will not build the
module for it.  

I'm not committing this change without further discussion on which direction we
choose to pursue though.  My gut is that it should become an optional_depends.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list